<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CommentsTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommentsTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":42,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CommentsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/Comments.html"
               title="interface in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/ExternalLinksTable.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/CommentsTable.html" target="_top">Frames</a>
        </li>
        <li><a href="CommentsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.model</div>
    <h2 title="Class CommentsTable" class="title">Class CommentsTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.model.CommentsTable</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                           title="interface in org.apache.poi.xssf.model">Comments</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">CommentsTable</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>
implements <a href="../../../../../org/apache/poi/xssf/model/Comments.html"
              title="interface in org.apache.poi.xssf.model">Comments</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#DEFAULT_AUTHOR">DEFAULT_AUTHOR</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#DEFAULT_AUTHOR_ID">DEFAULT_AUTHOR_ID</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#CommentsTable--">CommentsTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#CommentsTable-org.apache.poi.openxml4j.opc.PackagePart-">CommentsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#commit--">commit</a></span>()</code>
                                    <div class="block">Save the content in the underlying package part.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#findAuthor-java.lang.String-">findAuthor</a></span>(java.lang.String&nbsp;author)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFComment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#findCellComment-org.apache.poi.ss.util.CellAddress-">findCellComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellAddress)</code>
                                    <div class="block">Finds the cell comment at cellAddress, if one exists</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getAuthor-long-">getAuthor</a></span>(long&nbsp;authorId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getCellAddresses--">getCellAddresses</a></span>()</code>
                                    <div class="block">Returns all cell addresses that have comments.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>,<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFComment</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getCellComments--">getCellComments</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getCellAddresses</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getCTComment-org.apache.poi.ss.util.CellAddress-">getCTComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellRef)</code>
                                    <div class="block">Get the underlying CTComment xmlbean for a comment located at
                                        cellRef, if it exists
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComments</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getCTComments--">getCTComments</a></span>()</code>
                                    <div class="block">Returns the underlying CTComments list xmlbean</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getNumberOfAuthors--">getNumberOfAuthors</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#getNumberOfComments--">getNumberOfComments</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#newComment-org.apache.poi.ss.util.CellAddress-">newComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;ref)</code>
                                    <div class="block">Create a new comment located` at cell address</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#readFrom-java.io.InputStream-">readFrom</a></span>(java.io.InputStream&nbsp;is)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#referenceUpdated-org.apache.poi.ss.util.CellAddress-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment-">referenceUpdated</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;oldReference,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;comment)</code>
                                    <div class="block">Called after the reference is updated, so that
                                        we can reflect that in our cache
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#removeComment-org.apache.poi.ss.util.CellAddress-">removeComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellRef)</code>
                                    <div class="block">Remove the comment at cellRef location, if one exists</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html#writeTo-java.io.OutputStream-">writeTo</a></span>(java.io.OutputStream&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_AUTHOR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_AUTHOR</h4>
                                <pre>public static final&nbsp;java.lang.String DEFAULT_AUTHOR</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.model.CommentsTable.DEFAULT_AUTHOR">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_AUTHOR_ID">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DEFAULT_AUTHOR_ID</h4>
                                <pre>public static final&nbsp;int DEFAULT_AUTHOR_ID</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.model.CommentsTable.DEFAULT_AUTHOR_ID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CommentsTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CommentsTable</h4>
                                <pre>public&nbsp;CommentsTable()</pre>
                            </li>
                        </ul>
                        <a name="CommentsTable-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CommentsTable</h4>
                                <pre>public&nbsp;CommentsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
              throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="readFrom-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFrom</h4>
                                <pre>public&nbsp;void&nbsp;readFrom(java.io.InputStream&nbsp;is)
              throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeTo-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeTo</h4>
                                <pre>public&nbsp;void&nbsp;writeTo(java.io.OutputStream&nbsp;out)
             throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Save the content in the underlying package part.
                                    Default implementation is empty meaning that the package part is left unmodified.
                                    <p>
                                        Sub-classes should override and add logic to marshal the "model" into Ooxml4J.
                                    <p>
                                        For example, the code saving a generic XML entry may look as follows:
                                    <pre>
 protected void commit() throws IOException {
   PackagePart part = getPackagePart();
   OutputStream out = part.getOutputStream();
   XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
   bean.save(out, DEFAULT_XML_OPTIONS);
   out.close();
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="referenceUpdated-org.apache.poi.ss.util.CellAddress-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>referenceUpdated</h4>
                                <pre>public&nbsp;void&nbsp;referenceUpdated(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;oldReference,
                             org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;comment)</pre>
                                <div class="block">Called after the reference is updated, so that
                                    we can reflect that in our cache
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>oldReference</code> - the comment to remove from the commentRefs map</dd>
                                    <dd><code>comment</code> - the comment to replace in the commentRefs map</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfComments--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfComments</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfComments()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#getNumberOfComments--">getNumberOfComments</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfAuthors--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfAuthors</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfAuthors()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#getNumberOfAuthors--">getNumberOfAuthors</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAuthor-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAuthor</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAuthor(long&nbsp;authorId)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#getAuthor-long-">getAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findAuthor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findAuthor</h4>
                                <pre>public&nbsp;int&nbsp;findAuthor(java.lang.String&nbsp;author)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#findAuthor-java.lang.String-">findAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findCellComment-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findCellComment</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFComment</a>&nbsp;findCellComment(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellAddress)</pre>
                                <div class="block">Finds the cell comment at cellAddress, if one exists</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#findCellComment-org.apache.poi.ss.util.CellAddress-">findCellComment</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellAddress</code> - the address of the cell to find a comment</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>cell comment if one exists, otherwise returns null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTComment-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTComment</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;getCTComment(<a
                                            href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                            title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellRef)</pre>
                                <div class="block">Get the underlying CTComment xmlbean for a comment located at
                                    cellRef, if it exists
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellRef</code> - the location of the cell comment</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>CTComment xmlbean if comment exists, otherwise return null.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellAddresses--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellAddresses</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&gt;&nbsp;getCellAddresses()</pre>
                                <div class="block">Returns all cell addresses that have comments.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#getCellAddresses--">getCellAddresses</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>An iterator to traverse all cell addresses that have comments.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellComments--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellComments</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
public&nbsp;java.util.Map&lt;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                title="class in org.apache.poi.ss.util">CellAddress</a>,<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFComment</a>&gt;&nbsp;getCellComments()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getCellAddresses</code> instead</span>
                                </div>
                                <div class="block">Returns all cell comments on this sheet.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A map of each Comment in this sheet, keyed on the cell address where
                                        the comment is located.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="newComment-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>newComment</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;newComment(<a
                                            href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                            title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;ref)</pre>
                                <div class="block">Create a new comment located` at cell address</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ref</code> - the location to add the comment</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new CTComment located at ref with default author</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeComment-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeComment</h4>
                                <pre>public&nbsp;boolean&nbsp;removeComment(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cellRef)</pre>
                                <div class="block">Remove the comment at cellRef location, if one exists</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/Comments.html#removeComment-org.apache.poi.ss.util.CellAddress-">removeComment</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                                title="interface in org.apache.poi.xssf.model">Comments</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellRef</code> - the location of the comment to remove</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns true if a comment was removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTComments--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getCTComments</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComments&nbsp;getCTComments()</pre>
                                <div class="block">Returns the underlying CTComments list xmlbean</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>underlying comments list xmlbean</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CommentsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/Comments.html"
               title="interface in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/ExternalLinksTable.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/CommentsTable.html" target="_top">Frames</a>
        </li>
        <li><a href="CommentsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
